Psychopy not syncing to Pavlovia - internal error

URL of experiment: https://pavlovia.org/quirkm/forcedrt_mouse_s-pure

Description of the problem: I have a task that I have successfully synced to pavlovia countless times before. The task itself is up to date in what has been synced to my Pavlovia instance of it. However, I just went in to Psychopy to change the end redirect URL to my new debriefing survey, and I receive this error below when trying to then sync from Psychopy to Pavlovia. I had to restart my computer last week and fear it may have updated either Psychopy or possibly a python package (requests? urllib?) that’s being utilized here and now throwing this error. I could try to update the end URL in the .js file currently in my pavlovia github, but I certainly need to be able to sync to psychopy in the near future again. Any insight would be greatly appreciated. Thanks.

Traceback (most recent call last):
File “urllib3/connection.pyc”, line 171, in _new_conn
File “urllib3/util/connection.pyc”, line 56, in create_connection
File “socket.pyc”, line 745, in getaddrinfo
socket.gaierror: [Errno 8] nodename nor servname provided, or not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “urllib3/connectionpool.pyc”, line 600, in urlopen
File “urllib3/connectionpool.pyc”, line 343, in _make_request
File “urllib3/connectionpool.pyc”, line 849, in _validate_conn
File “urllib3/connection.pyc”, line 314, in connect
File “urllib3/connection.pyc”, line 180, in _new_conn
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x13dba56a0>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/adapters.py”, line 449, in send
File “urllib3/connectionpool.pyc”, line 638, in urlopen
File “urllib3/util/retry.pyc”, line 398, in increment
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Max retries exceeded with url: /api/v4/user (Caused by NewConnectionError(‘<urllib3.connection.VerifiedHTTPSConnection object at 0x13dba56a0>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/builder.py”, line 1350, in onPavloviaSync
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/builder.py”, line 1441, in project
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 1096, in getProject
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 108, in login
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 412, in setToken
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 437, in startSession
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 201, in auth
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 214, in _token_auth
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/exceptions.py”, line 251, in wrapped_f
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/mixins.py”, line 68, in get
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 532, in http_get
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/init.py”, line 481, in http_request
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/sessions.py”, line 646, in send
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/adapters.py”, line 516, in send
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Max retries exceeded with url: /api/v4/user (Caused by NewConnectionError(‘<urllib3.connection.VerifiedHTTPSConnection object at 0x13dba56a0>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known’,))

Hey, I just got the same error. I’m trying to run an experiment that was created with the newest version of psychopy on my computer, where I have psychopy 2021.1.4. It works perfectly offline but when trying to run it online directly from the psychopy program, I get this error. So I was wondering if you have found a solution for the error already? It would really be a big help!

Hi! Unfortunately, I never got a really solid solution to this. I think it may have been some server sync issue in general my computer had been having (I had other apps that were throwing errors when trying to connect to their servers too). I ended up restarting my macbook in “safe” mode, per the suggestion of an apple tech (shut the computer down normally & then hold down the shift key while holding the power button to turn it back on). I noticed this solved my server connection issues, but he mentioned that you shouldn’t leave your computer in safe mode all the time, so when I turned it back off & on again normally, it just seemed to ~work~ again. Not sure if that’ll be helpful, but figured it was at least worth conveying.

1 Like

Thank you so much for your reply! I discovered that in my case, it was also a server issue that happened on all mac computers in our lab. Trying it now, one day later, the experiment works without any problems.